## rlplot 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile, Copyright 2002-2004 R.Lackner
+# Makefile, Copyright 2002-2006 R.Lackner
 # 
 #
 #    This file is part of RLPlot.
@@ -30,11 +30,12 @@
 SRCDIR = ./
 
 GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
- Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o
+ Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o no_gui.o
 
 OBJECTS = moc_QT_Spec.o QT_Spec.o Output.o Utils.o UtilObj.o\
  TheDialog.o rlplot.o Fileio.o PropertyDlg.o spreadwi.o\
- Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o
+ Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o use_gui.o\
+ reports.o
 
 all:
 	make rlplot QTDIR=$(QTDIR) 
@@ -110,9 +111,15 @@
 Axes.o: $(SRCDIR)Axes.cpp $(SRCDIR)rlplot.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
+no_gui.o: $(SRCDIR)no_gui.cpp $(SRCDIR)rlplot.h
+	$(CC) $(CFLAGS) -o $@ -c $<
+
+use_gui.o: $(SRCDIR)use_gui.cpp $(SRCDIR)rlplot.h
+	$(CC) $(CFLAGS) -o $@ -c $<
+
+reports.o: $(SRCDIR)reports.cpp $(SRCDIR)rlplot.h
+	$(CC) $(CFLAGS) -o $@ -c $<
 
 
 
 
-
-
