## rlplot 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile, Copyright 2002-2006 R.Lackner
+# Makefile, Copyright 2002-2007 R.Lackner
 # 
 #
 #    This file is part of RLPlot.
@@ -20,14 +20,24 @@
 # This Makefile assumes that you installed Trolltechs QT in /usr/local/qt
 #   visit: http://www.trolltech.com for download and licence information
 #
-QTDIR = /usr/lib/qt3
 CC = g++
-#CFLAGS = -I$(QTDIR)/include -pipe -O2 -g
-CFLAGS = -I$(QTDIR)/include -pipe -O2
-LIBS = -L$(QTDIR)/lib -L/usr/X11R6/lib
-QTLIBS = -lqt-mt
 X11LIBS = -lX11 -lm
 SRCDIR = ./
+
+QT3DIR = /usr/lib/qt-3.3
+QT3MOC = /usr/lib/qt-3.3/bin/moc
+MOC3FLAGS =
+QT3CFLAGS = "-I$(QT3DIR)/include -pipe -O2"
+QT3H = QT3_Spec.h
+QT3LIBS = "-L$(QT3DIR)/lib -L/usr/X11R6/lib -lqt-mt"
+
+QT4DIR = /usr/lib/qt4
+QT4MOC = /usr/lib/qt4/bin/moc-qt4
+MOC4FLAGS = "MOCFLAGS=-DQT_VERSION=0x040000"
+QT4CFLAGS = "-I/usr/include/Qt -pipe -O2"
+QT4H = QT_Spec.h
+QT4LIBS = "-L$(QT4DIR)/lib -L/usr/X11R6/lib -lQtCore -lQtGui -lQtNetwork"
+
 
 GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
  Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o no_gui.o
@@ -38,9 +48,14 @@
  reports.o
 
 all:
-	make rlplot QTDIR=$(QTDIR) 
-	make exprlp 
-	make clean
+	make Qt4
+	make exprlp
+
+Qt4:
+	make rlplot QTDIR=$(QT4DIR) MOC=$(QT4MOC) CFLAGS=$(QT4CFLAGS) QTH=$(QT4H) $(MOC4FLAGS) LIBS=$(QT4LIBS)
+
+Qt3:
+	make rlplot QTDIR=$(QT3DIR) MOC=$(QT3MOC) CFLAGS=$(QT3CFLAGS) QTH=$(QT3H) $(MOC3FLAGS) LIBS=$(QT3LIBS)
 
 rlplot: $(OBJECTS)
 	$(CC) $(LIBS) -o rlplot $(OBJECTS) $(QTLIBS) $(X11LIBS)
@@ -58,7 +73,8 @@
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 moc_QT_Spec.cpp: $(SRCDIR)QT_Spec.h
-	$(QTDIR)/bin/moc $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp
+#	$(QTDIR)/bin/moc-qt4 $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp -DQT_VERSION=0x040000
+	$(MOC) $(SRCDIR)$(QTH) -o moc_QT_Spec.cpp $(MOCFLAGS)
 
 mfcalc.o: $(SRCDIR)mfcalc.cpp
 	$(CC) $(CFLAGS) -o $@ -c $<
