=== debian/changelog ===
rlplot (1.4-3) unstable; urgency=low

  * QA upload.
  * New patch remove-linux-fs-h-requirement.patch to fix build on non-Linux
    platforms.
  * New patch do-not-call-free-on-arrays.patch which removes two calls to
    free with an array as the argument.
  * debian/control:
    + Add ${misc:Depends}, fixing lintian warning.
    + Improve short description.
  * debian/rules: Use dh_install to copy the binaries.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 00:16:58 +0000

rlplot (1.4-2) unstable; urgency=low

  * QA upload.
    + Orphaned, so set maintainer to QA group.
  * New patch fix-ftbfs-with-gold.patch from Ubuntu to fix FTBFS with gold or
    --no-add-needed. (Closes: #556322)
  * New patch fix-ftbfs-with-qt4.7.patch from Ubuntu which replaces 'QString
    foo(0);' with 'QString foo;' to fix FTBFS with Qt 4.7.
    (Closes: #618048, #610150)
  * Clear executable bit on /usr/share/pixmaps/RLPlot.xpm, fixing lintian
    warning.
  * debian/rules: Rewrite to use dh.
  * debian/copyright: Update to point to GPL-2; update copyright holders and
    years.
  * Don't package upstream README - debian/copyright has the licence
    information, and the details about how to build it aren't relevant to
    those who have installed a binary package.
  * debian/rlplot.1: Fix typo; fix hyphens to be dashes (fixes lintian
    warning).
  * debian/rlplot.desktop: Remove deprecated Encoding field.

 -- Olly Betts <olly@survex.com>  Tue, 29 Nov 2011 06:41:40 +0000

rlplot (1.4-1) unstable; urgency=low

  * New upstream release
  * Fixes to lintian warnings
  * Fixes to repeat build problem (Closes: #442721)
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Sun, 16 Sep 2007 21:33:38 +0100

rlplot (1.3-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Mon,  9 Apr 2007 00:12:35 +0100

rlplot (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #408935)
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Mon, 29 Jan 2007 19:31:26 +0000

rlplot (1.1.2-2) unstable; urgency=low

  * Added binary-indep target to rules file (Closes: #395742)
  * Added .desktop file and icon (thanks to Vassilis Pandis) (Closes: #375768)
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Sat, 11 Nov 2006 21:09:11 +0000

rlplot (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Sat, 27 May 2006 21:44:40 +0100

rlplot (1.1-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file. closes: #358286

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 20:24:18 +0200

rlplot (1.1-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Sun,  5 Mar 2006 13:11:52 +0000

rlplot (1.0-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Fri, 16 Sep 2005 21:08:37 +0100

rlplot (0.99.14-2) unstable; urgency=low

  * Rebuild due to new version of libqt3-mt. closes: #327960
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Wed, 14 Sep 2005 15:41:17 +0100

rlplot (0.99.14-1) unstable; urgency=low

  * New upstream release
  * Removed build-depends on libstdc++5-3.3-dev. 
  * Upstream change to TheDialog.cpp. closes: #288411
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Tue, 15 Feb 2005 16:58:11 +0000

rlplot (0.99.12-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Wed, 22 Dec 2004 16:05:26 +0000

rlplot (0.99.9-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file since this release is built from tarball 0.99.9b
    not CVS
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Sat,  9 Oct 2004 13:09:10 +0100

rlplot (0.99.7-2) unstable; urgency=low

  * Remove libc6 build dependency. Closes: #267871
  * Updated copyright file to reflect fact that source code was from CVS not
  tarball.
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Fri, 27 Aug 2004 23:27:05 +0100

rlplot (0.99.7-1) unstable; urgency=low

  * New upstream release. Numbering system now in line with upstream.
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Tue, 10 Aug 2004 16:47:51 +0100

rlplot (0.99.4-1) unstable; urgency=low

  * New upstream release

 -- James Stone <jmstone@dsl.pipex.com>  Thu,  1 Jul 2004 00:49:35 +0100

rlplot (0.99.3-1) unstable; urgency=low

  * Initial Release. closes: #237116

 -- James Stone <jmstone@dsl.pipex.com>  Fri, 16 Apr 2004 20:58:02 +0100
