## rlplot 1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile, Copyright 2002-2007 R.Lackner
+# Makefile, Copyright 2002-2008 R.Lackner
 # 
 #
 #    This file is part of RLPlot.
@@ -17,28 +17,43 @@
 #    along with RLPlot; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
-# This Makefile assumes that you installed Trolltechs QT in /usr/local/qt
-#   visit: http://www.trolltech.com for download and licence information
 #
 CC = g++
 X11LIBS = -lX11 -lm
 SRCDIR = ./
 
+#######
+#######   Declarations for Qt3
 QT3DIR = /usr/lib/qt-3.3
 QT3MOC = /usr/lib/qt-3.3/bin/moc
 MOC3FLAGS =
 QT3CFLAGS = "-I$(QT3DIR)/include -pipe -O2"
 QT3H = QT3_Spec.h
 QT3LIBS = "-L$(QT3DIR)/lib -L/usr/X11R6/lib -lqt-mt"
+#
+#   If above declarations don't work for Qt3 try the following ...
+#QT3DIR = /usr/share/qt-3
+#QT3DIR = /usr/share/qt3
+#QT3MOC = /usr/share/qt-3/bin/moc
+#QT3MOC = /usr/share/qt3/bin/moc
 
+#######
+#######   Declarations for Qt4
 QT4DIR = /usr/lib/qt4
 QT4MOC = /usr/lib/qt4/bin/moc-qt4
 MOC4FLAGS = "MOCFLAGS=-DQT_VERSION=0x040000"
 QT4CFLAGS = "-I/usr/include/Qt -pipe -O2"
 QT4H = QT_Spec.h
-QT4LIBS = "-L$(QT4DIR)/lib -L/usr/X11R6/lib -lQtCore -lQtGui -lQtNetwork"
+QT4LIBS = "-L$(QT4DIR)/lib -L/usr/X11R6/lib -lQtCore -lQtGui"
+#
+#   If above declarations don't work for Qt4 try the following ...
+#QT4DIR = /usr/share/qt4
+#QT4MOC = /usr/share/qt4/bin/moc
+#QT4MOC = /usr/lib/qt4/bin/moc
+#QT4CFLAGS = "-I/usr/include/qt4/Qt -I/usr/include/qt4 -pipe -O2"
+#QT4CFLAGS = "-I/usr/lib/qt4/include -I/usr/lib/qt4/include/Qt -pipe -O2"
 
-
+#######
 GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
  Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o no_gui.o
 
@@ -47,6 +62,7 @@
  Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o use_gui.o\
  reports.o
 
+#######
 all:
 	make Qt4
 	make exprlp
@@ -65,7 +81,9 @@
 
 clean:
 	rm -f *.o *~
-	rm moc_QT_Spec.cpp
+	rm -f moc_QT_Spec.cpp
+	rm -f rlplot
+	rm -f exprlp
 
 ####### Compile
 
@@ -73,7 +91,6 @@
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 moc_QT_Spec.cpp: $(SRCDIR)QT_Spec.h
-#	$(QTDIR)/bin/moc-qt4 $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp -DQT_VERSION=0x040000
 	$(MOC) $(SRCDIR)$(QTH) -o moc_QT_Spec.cpp $(MOCFLAGS)
 
 mfcalc.o: $(SRCDIR)mfcalc.cpp
@@ -88,7 +105,7 @@
 exprlp.o: $(SRCDIR)exprlp.cpp
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-QT_Spec.o: $(SRCDIR)QT_Spec.cpp $(SRCDIR)QT_Spec.h $(SRCDIR)rlplot.h
+QT_Spec.o: $(SRCDIR)QT_Spec.cpp $(SRCDIR)QT_Spec.h $(SRCDIR)rlplot.h $(SRCDIR)menu.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 Output.o: $(SRCDIR)Output.cpp $(SRCDIR)rlplot.h
@@ -133,9 +150,6 @@
 use_gui.o: $(SRCDIR)use_gui.cpp $(SRCDIR)rlplot.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-reports.o: $(SRCDIR)reports.cpp $(SRCDIR)rlplot.h
+reports.o: $(SRCDIR)reports.cpp  $(SRCDIR)TheDialog.h $(SRCDIR)rlplot.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-
-
-
