=== debian/changelog ===
rlplot (1.5-2) unstable; urgency=low

  * QA upload.
  * debian/rlplot.1: Fix "hyphen-used-as-minus-sign".
  * Add DEP3 patch headers.

 -- Olly Betts <olly@survex.com>  Sat, 10 Dec 2011 06:21:01 +0000

rlplot (1.5-1) experimental; urgency=low

  * QA upload.
  * New upstream version. (Closes: #610235)
    + Upstream Makefile "clean" target fixed, so drop our workaround.
  * debian/control:
    + Add ${misc:Depends}, fixing lintian warning.
    + Improve short description.
  * debian/rules: Use dh_install to copy the binaries.

 -- Olly Betts <olly@survex.com>  Tue, 29 Nov 2011 09:58:35 +0000
