=== debian/control ===
Source: rlplot
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.3), libx11-dev (>= 4.3) 
Standards-Version: 3.9.2
Homepage: http://rlplot.sourceforge.net/

Package: rlplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI application for generating publication quality graphs
 RLPlot is a GUI based program for displaying scientific data in 
 standard formats. It has full support for all error-bar types and 
 it has greater flexibility with displaying colour and texture in 
 charts than gnuplot (filled bar chart boxes are possible without 
 any additional programs). Output is generated on the X display where 
 further changes can be made to the graph using point and click methods. 
 Images can be exported as scalable vector graphics (SVG) as well as 
 EPS, WMF and TIFF formats.
