=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,3 @@
 override_dh_installman:
 	dh_installman debian/rlplot.1
 	dh_link usr/share/man/man1/rlplot.1 usr/share/man/man1/exprlp.1
-
-override_dh_auto_clean:
-	# Upstream's Makefile tries to rm moc_QT_Spec.cpp without -f in "clean"
-	# which will fail if that file doesn't exist, so just reimplement it
-	# here and also remove the binaries:
-	rm -f *.o *~ moc_QT_Spec.cpp rlplot exprlp
